# Get the common config for a catalog

Launch stage: Beta

`GET /api/2.0/lakewatch/{name=catalogs/*/commonConfig}`

Returns the common Lakewatch configuration for a catalog.

API scopes: lakewatch

## Path parameters

- `name` (string, required)

## Returns

Returns the CommonConfig object.

## Response

```json
{
  "name": "string",
  "version": 0,
  "update_time": "string",
  "updated_by": {
    "id": "string",
    "principal_type": "REGULAR_USER",
    "email": "string",
    "display_name": "string"
  },
  "etag": "string",
  "custom_presets_path": "string",
  "custom_content_pack_path": "string",
  "per_resource_permissions_enabled": true
}
```

